﻿# EliteBGS changelog

## 0.1.0-beta10 on ??.02.2022

* Added search and rescue.
* For mourders try to determine the faction of the victim. The CommitCrime event
  lists the faction that issues the bounty, and not the faction of the victim.
* Vouchers are now properly treated. Each individual voucher is assigned a separate
  objective, if the target faction for said voucher is present in the system.

## 0.1.0-beta9 on 07.02.2022

* Added Vista Genomics to the reports.

## 0.1.0-beta8 on 29.01.2022

* Fixed a bug where influence was wrongly counted for missions were both the
  main beneficiary, and the secondary beneficiary are the same faction.
* Tightened selection of which entry goes to which objective.

## 0.1.0-beta7 on 27.01.2022

* Added murders, since they give negative INF for the target faction.
* Cargo is now collated for the NONA discord template.
* Empty secondary influences no longer show up.
* Market buying is not part of the BGS since Update 10.
* Remove decimal point unless absolutely necessary.
* Fixed log file template regarding failed missions.
* Support missions were the source and target are both the same faction, but in
  different systems. Here both systems should be listed in the BGS list.

## 0.1.0-beta6 on 22.01.2022

* Month names should now always be in English in the NONA log format.
* Add influence support (by secondary mission objectives) to the log format.
* Remember last used discord log template.
* Add support for SellExplorationData journal entry.
* Improve credit formatting.

## 0.1.0-beta5 on 21.01.2022

* Missions that affect more than one faction now properly show that in the list.
* Cargo sold now shows a better name for the commodity (if available in journal).
* Added more mission names.
* Mission names are now part of an XML file.
* Added licence file with GPLv3.

## 0.1.0-beta4 on 13.01.2022

* Fixed a bug in date/time selection. It no longer uses the start date as start and end.

## 0.1.0-beta3 on 12.01.2022

* Collated failed missions into a single entry with a counter
* Added failed missions to Nova Navy log template
* Detect trade profit/loss
* Allow adjusting trade profit/loss with a new window

## 0.1.0-beta2 on 09.01.2022

* Adding combat zones has been repaired

## 0.1.0-beta1 on 07.01.2022

* Initial release